Bug 39286 - [ASUS CUV4X] Failed upgrade in dual-machine
[ASUS CUV4X] Failed upgrade in dual-machine
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-06 16:13 EDT by Eran Arad
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 10:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eran Arad 2001-05-06 16:13:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
I upgraded a dual Intel Pentum III (800Mh) (ASUS board) from RH7.0
to RH7.1. Anacoda seemed to complete succesfully. Howeve, as the machine 
tries to reboot, it starts booting then hangs up with empty
screen, and does not respond to any key.


How reproducible:
Always

Steps to Reproduce:
1.install RH70 on a dual Intel Pentium III machine (WS)
2.Perform upgrade to RH7.1, following all Anacoda steps
3.After successfull update, hit exit button.
4. The system starts to boot thaen the screen get blanked and the
   system hangs up
5. This happens in any restrat, or floppy boot
	

Actual Results:  The system hangs up, with blank screen, and does not 
resond to
anything

Expected Results:  The system should have boot up as 7.1

Additional info:

Installing SUSE 7.1 on a similar machine I got the same problem.
Does Linux 2.4 have problems with dual-node machines?
Comment 1 Brent Fox 2001-05-07 11:55:24 EDT
No, the 2.4 kernel has no problem with dual processor machines that I'm aware
of.  It works fine on our 2 CPU machines here.  It sounds like you might be
having some hardware problems.  Does the kernel even try to boot at all?  Do you
see the lilo screen before it hangs?
Comment 2 Eran Arad 2001-05-08 01:37:18 EDT
Yes, Lilo starts to boot, and then it hangs up.
I do not think it is hardware problem: I added a disk with RH7.0
to my pc. I booted fine, and I could reach the disk with the RH7.1
system without any problem
Comment 3 Brent Fox 2001-05-08 14:36:03 EDT
Can you boot off the cd and say 'linux rescue'?  Mount the partition(s) that
contain the / and /boot directories.  Can you attach the /etc/lilo.conf file and
also list the kernels that are currently installed in the /boot directory? 
Something could have gotten messed up during the install.


When the system hangs, the screen is totally blank?  No kernel panic messages or
anything like that?
Comment 4 Eran Arad 2001-05-09 02:12:06 EDT
The screen goes totally blank after lilo starts to boot, and
from then on, the keyboard /mouse do not produce any response.
Please find below the files that you have asked for:

/etc/lilo.conf
--------------

boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
default=linux
message=/boot/message
linear

image=/boot/vmlinuz-2.4.2-2smp
	label=linux
	read-only
	root=/dev/hda6

image=/boot/vmlinuz-2.4.2-2
	label=linux-up
	read-only
	root=/dev/hda6

list of files in /boot
----------------------
total 9671
lrwxrwxrwx    1 root     root           18 May  6 11:06 System.map -> System.map-2.4.2-2
-rw-r--r--    1 root     root       410990 Apr  9 03:57 System.map-2.4.2-2
-rw-r--r--    1 root     root       427752 Apr  9 03:38 System.map-2.4.2-2smp
-rw-r--r--    1 root     root          512 Aug 29  2000 boot.0300
-rw-r--r--    1 root     root         5824 Feb 23 21:33 boot.b
-rw-r--r--    1 root     root          612 Feb 23 21:33 chain.b
-rw-r--r--    1 root     root       337487 Aug 29  2000 initrd-2.2.12-20.img
-rw-r--r--    1 root     root       337862 Aug 29  2000 initrd-2.2.12-20smp.img
-rw-r--r--    1 root     root       434072 Sep 14  2000 initrd-2.2.14-5.0.img
-rw-r--r--    1 root     root       434275 Sep 14  2000 initrd-2.2.14-5.0smp.img
-rw-r--r--    1 root     root       476835 Nov  8  2000 initrd-2.2.16-22.img
-rw-r--r--    1 root     root       477122 Nov  8  2000 initrd-2.2.16-22smp.img
lrwxrwxrwx    1 root     root           14 May  6 11:05 kernel.h -> kernel.h-2.4.2
-rw-r--r--    1 root     root          405 May  6 11:05 kernel.h-2.4.2
drwxr-xr-x    2 root     root        12288 Aug 29  2000 lost+found
-rw-------    1 root     root        22016 May  6 12:37 map
-rw-r--r--    1 root     root        23108 Feb 23 21:33 message
-rw-r--r--    1 root     root        21282 Feb 23 21:33 message.ja
lrwxrwxrwx    1 root     root           19 May  6 11:06 module-info -> module-info-2.4.2-2
-rw-r--r--    1 root     root        13598 Apr  9 03:57 module-info-2.4.2-2
-rw-r--r--    1 root     root        13598 Apr  9 03:38 module-info-2.4.2-2smp
-rw-r--r--    1 root     root          640 Feb 23 21:33 os2_d.b
-rwxr-xr-x    1 root     root      2280836 Apr  9 03:57 vmlinux-2.4.2-2
-rwxr-xr-x    1 root     root      2479102 Apr  9 03:38 vmlinux-2.4.2-2smp
lrwxrwxrwx    1 root     root           15 May  6 11:06 vmlinuz -> vmlinuz-2.4.2-2
-rw-r--r--    1 root     root       781806 Apr  9 03:57 vmlinuz-2.4.2-2
-rw-r--r--    1 root     root       840884 Apr  9 03:38 vmlinuz-2.4.2-2smp
Comment 5 Eran Arad 2001-05-09 02:19:18 EDT
further comment
Boooting in linux mode (dual) you get the blank screen that I have described above.

booting in linux-up mode (single node), instead of blank screen after lilo starts,
you get combinations of letters, meaningless, running on the screen, about each
20 seconds. Once again keyboard and mouse are inactive.
Comment 6 Brent Fox 2001-05-09 10:48:09 EDT
Thanks for the information.  I just wanted to make sure that the kernel was
getting installed properly and that lilo was configured correctly.  It looks
like everything is like it should be.  Considering that SuSE 7.1 does the same
thing, I'm inclined to think that either the hardware is flaky somehow or that
there's something particular about your system that the 2.4 kernel doesn't like.
 Can you provide us more information about your system (motherboard, BIOS type
and version number, attached peripherals, etc.?)  

I'm changing component to the kernel since anaconda seems to be functioning
properly.
Comment 7 Arjan van de Ven 2001-05-09 11:04:12 EDT
Can you give "lspci -v" output from your working 7.0 set?
That will identify most of the critical components...
Comment 8 Eran Arad 2001-05-10 02:22:58 EDT
Below please find the output of lspci -v.
Motherboard is ASUS CUV4X AGP Pro/4X
Peripherals are CROM ASUS 50X, Flopy driver and Quantum HD.

00:00.0 Host bridge: VIA Technologies, Inc. VT82C691 [Apollo PRO] (rev c4)
	Subsystem: Asustek Computer, Inc.: Unknown device 8038
	Flags: bus master, medium devsel, latency 0
	Memory at fc000000 (32-bit, prefetchable)
	Capabilities: [a0] AGP version 2.0
	Capabilities: [c0] Power Management version 2

00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598 [Apollo MVP3 AGP] (prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: ee000000-efdfffff
	Prefetchable memory behind bridge: eff00000-fbffffff
	Capabilities: [80] Power Management version 2

00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super] (rev 40)
	Subsystem: Asustek Computer, Inc.: Unknown device 8038
	Flags: bus master, stepping, medium devsel, latency 0
	Capabilities: [c0] Power Management version 2

00:04.1 IDE interface: VIA Technologies, Inc. VT82C586 IDE [Apollo] (rev 06) (prog-if 8a [Master SecP 
PriP])
	Flags: bus master, stepping, medium devsel, latency 32
	I/O ports at d800
	Capabilities: [c0] Power Management version 2

00:04.2 USB Controller: VIA Technologies, Inc. VT82C586B USB (rev 16) (prog-if 00 [UHCI])
	Subsystem: Unknown device 0925:1234
	Flags: bus master, medium devsel, latency 32, IRQ 18
	I/O ports at d400
	Capabilities: [80] Power Management version 2

00:04.3 USB Controller: VIA Technologies, Inc. VT82C586B USB (rev 16) (prog-if 00 [UHCI])
	Subsystem: Unknown device 0925:1234
	Flags: bus master, medium devsel, latency 32, IRQ 18
	I/O ports at d000
	Capabilities: [80] Power Management version 2

00:04.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
	Flags: medium devsel
	Capabilities: [68] Power Management version 2

00:0a.0 Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 02)
	Subsystem: Ensoniq Creative Sound Blaster AudioPCI128
	Flags: bus master, slow devsel, latency 32, IRQ 18
	I/O ports at b800
	Capabilities: [dc] Power Management version 1

00:0b.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 30)
	Subsystem: 3Com Corporation 3C905B Fast Etherlink XL 10/100
	Flags: bus master, medium devsel, latency 32, IRQ 17
	I/O ports at b400
	Memory at ed800000 (32-bit, non-prefetchable)
	Capabilities: [dc] Power Management version 1

01:00.0 VGA compatible controller: nVidia Corporation NV15 (Geforce2 GTS) (rev a4) (prog-if 00 [VGA])
	Subsystem: Asustek Computer, Inc.: Unknown device 4016
	Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 16
	Memory at ee000000 (32-bit, non-prefetchable)
	Memory at f0000000 (32-bit, prefetchable)
	Expansion ROM at efff0000 [disabled]
	Capabilities: [60] Power Management version 1
	Capabilities: [44] AGP version 2.0
Comment 9 Eran Arad 2001-05-10 03:45:29 EDT
Sorry, mistake in motherboard name
It is ASUS CUV4X-D
JumperFree PC133/VC133
133MHz FSB AGP Pro/4X
VIA 694XDP Chipset
Comment 10 Arjan van de Ven 2001-05-10 04:35:15 EDT
Ahhh... The ASUS CUV4X is a "known bad guy". Somehow the bios manages
to confuse the kernel enough to make it not boot. Some people have reported
that adding "noapic" to the lilo prompt line makes it boot, could you try that ?
Comment 11 Eran Arad 2001-05-10 08:37:48 EDT
using boot: linux noapic had an effect, but alas, not the one wished-for...
During booting, instaead of blank screen I got printing of lines of letters,
starting with numbers in []. It keeps rolling every few seconds.
I managed to catch in the begining something that looks like error message
(general protection fault=0)
Comment 12 Arjan van de Ven 2001-05-10 08:44:14 EDT
Does the single-CPU kernel (linux-up in the lilo menu) work?
Comment 13 Eran Arad 2001-05-10 09:07:01 EDT
Nope, I tried it too, and got the same results with the addition
Comment 14 Eran Arad 2001-05-13 01:36:58 EDT
Is there a chance for a patch to make it work?
Comment 15 Arjan van de Ven 2001-05-13 05:16:06 EDT
Are you using the 1007 version of the bios ?
Comment 16 Eran Arad 2001-05-14 02:29:14 EDT
No. My version is 1004
Comment 17 Arjan van de Ven 2001-05-14 04:50:20 EDT
Eventhough the changelog doesn't suggest anything interesting, it might just
be that Asus fixed a bug in their bios that prevented Linux from working....
Comment 18 Eran Arad 2001-05-15 08:30:04 EDT
I have updatted the bios version to 1007, to no avail. Still, the kernel
does not boot. What would you suggest next ?
Comment 19 Arjan van de Ven 2001-05-19 14:12:08 EDT
Can you try disabling MPS1.4 support in the bios?
That seams to work for some people.
Comment 20 Eran Arad 2001-05-21 10:11:58 EDT
Halleluya
Comment 21 Arjan van de Ven 2001-05-21 10:19:15 EDT
Yeeehaaa. But this proves it's a biosbug ;)

I'm now closing this bug as "NOTABUG" as that is the closest to "NOTOURBUG"
If you object to that or if this problem returns, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.